import type { AnonCredsCredential } from '../models';
import { BaseRecord } from '@aries-framework/core';
export interface AnonCredsCredentialRecordProps {
    id?: string;
    credential: AnonCredsCredential;
    credentialId: string;
    credentialRevocationId?: string;
    linkSecretId: string;
    schemaName: string;
    schemaVersion: string;
    schemaIssuerId: string;
    issuerId: string;
}
export type DefaultAnonCredsCredentialTags = {
    credentialId: string;
    linkSecretId: string;
    credentialDefinitionId: string;
    credentialRevocationId?: string;
    revocationRegistryId?: string;
    schemaId: string;
    attributes: string[];
};
export type CustomAnonCredsCredentialTags = {
    schemaName: string;
    schemaVersion: string;
    schemaIssuerId: string;
    issuerId: string;
};
export declare class AnonCredsCredentialRecord extends BaseRecord<DefaultAnonCredsCredentialTags, CustomAnonCredsCredentialTags> {
    static readonly type = "AnonCredsCredentialRecord";
    readonly type = "AnonCredsCredentialRecord";
    readonly credentialId: string;
    readonly credentialRevocationId?: string;
    readonly linkSecretId: string;
    readonly credential: AnonCredsCredential;
    constructor(props: AnonCredsCredentialRecordProps);
    getTags(): {
        credentialDefinitionId: string;
        schemaId: string;
        credentialId: string;
        credentialRevocationId: string | undefined;
        revocationRegistryId: string | undefined;
        linkSecretId: string;
        attributes: string[];
        schemaName: string;
        schemaVersion: string;
        schemaIssuerId: string;
        issuerId: string;
    };
}
