"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hasDuplicateGroupsNamesInProofRequest = void 0;
function attributeNamesToArray(proofRequest) {
    // Attributes can contain either a `name` string value or an `names` string array. We reduce it to a single array
    // containing all attribute names from the requested attributes.
    return Object.values(proofRequest.requested_attributes).reduce((names, a) => [...names, ...(a.name ? [a.name] : a.names ? a.names : [])], []);
}
function predicateNamesToArray(proofRequest) {
    return Array.from(new Set(Object.values(proofRequest.requested_predicates).map((a) => a.name)));
}
// TODO: This is still not ideal. The requested groups can specify different credentials using restrictions.
function hasDuplicateGroupsNamesInProofRequest(proofRequest) {
    const attributes = attributeNamesToArray(proofRequest);
    const predicates = predicateNamesToArray(proofRequest);
    const duplicates = predicates.find((item) => attributes.indexOf(item) !== -1);
    return duplicates !== undefined;
}
exports.hasDuplicateGroupsNamesInProofRequest = hasDuplicateGroupsNamesInProofRequest;
//# sourceMappingURL=hasDuplicateGroupNames.js.map